package mx.com.amx.mx.dda.ws.dto;

import java.io.Serializable;

/**
 * Representa en el ambito de DDA la respuesta obtenida por SAP al ejecutar la creacion de Orden de Compra (Contrato) 
 */
public class RespSAPOrdenCompraDTO implements Serializable 
{
	private static final long serialVersionUID = 1L;
	private String PONumber;
	private String IDMensaje;
	private String Descripcion;
	
	public String getPONumber() {
		return this.PONumber;
	}
	public void setPONumber(String pONumber) {
		this.PONumber = pONumber;
	}
	public String getIDMensaje() {
		return this.IDMensaje;
	}
	public void setIDMensaje(String iDMensaje) {
		this.IDMensaje = iDMensaje;
	}
	public String getDescripcion() {
		return this.Descripcion;
	}
	public void setDescripcion(String descripcion) {
		this.Descripcion = descripcion;
	}
	

	public String toString() 
	{
		StringBuilder result = new StringBuilder();
		String NEW_LINE = System.getProperty("line.separator");
		result.append(" [Begin of Class] " + NEW_LINE);
		result.append(this.getClass().getSimpleName() + " Object {" + NEW_LINE);
		result.append(" PONumber: _" + this.getPONumber() + "_" + NEW_LINE);
		result.append(" IDMensaje: _" + this.getIDMensaje() + "_" + NEW_LINE);
		result.append(" Descripcion: _" + this.getDescripcion() + "_" + NEW_LINE);
		result.append(" [End of Class] " + NEW_LINE);
		result.append("}");
		NEW_LINE = null;

		return result.toString();
	}
}
